Cerca nel supporto

Attenzione alle mail truffa. Mozilla non chiederà mai di chiamare o mandare messaggi a un numero di telefono o di inviare dati personali. Segnalare qualsiasi attività sospetta utilizzando l'opzione “Segnala abuso”.

Learn More

Questa discussione è archiviata. Inserire una nuova richiesta se occorre aiuto.

removal of javascript without replacement option

  • 7 risposte
  • 2 hanno questo problema
  • 51 visualizzazioni
  • Ultima risposta di James

more options

disabling javascript without offering a link to any other script, makes my primary use of firefox useless. without the ability to view streaming videos i have no real reason to use firefox. so by doing this you removed my reason to even have firefox in my computer.

Soluzione scelta

timR said

apparantly the first response was from someone who doesn't understand what i'm complaining about. I just updated the javascript plugin, it shows as the latest version but firefox claims it's unsecure and wont let me enable it, i checked teh update box on another plaugin that is also disabled. and is up to date, the javascript plugin does NOT have an update link. so i don't know what YOUR asking me. the javascript plugin to play streaming videos IS NOT BUILT IN. And i want to know WHY mozilla found it necessary to disable the latest javacript plugin without offering a link to one they will let you use.

Actually it was you confusing the difference between JavaScript which is built in Firefox and the separate Java plugin installed on system.

Leggere questa risposta nel contesto 👍 0

Tutte le risposte (7)

more options

Can you clarify what you mean with disabling JavaScript?

JavaScript should be enabled unless you disable it yourself or use an extension to achieve this. JavaScript is built-in and there is no need for another engine to run JavaScript.

more options

Some websites state that JavaScript is disabled when they are unable to start the Flash player or whatever player they prefer to use, but often this is just an incorrect guess on their part.

Do you have problems with your Flash plugin on sites that use Flash? What sites have the problem (an example or two is fine)?

Have you checked for an update to your Flash player? https://www.mozilla.org/plugincheck/ (Note: other plugins may also want to be updated, but let's just focus on "Adobe Flash" or "Shockwave Flash" for now.)

more options
Some websites state that JavaScript is disabled when they are unable to start the Flash player or whatever player they prefer to use, but often this is just an incorrect guess on their part. Do you have problems with your Flash plugin on sites that use Flash? What sites have the problem (an example or two is fine)? Have you checked for an update to your Flash player? https://www.mozilla.org/plugincheck/ (Note: other plugins may also want to be updated, but let's just focus on "Adobe Flash" or "Shockwave Flash" for now.)

apparantly the first response was from someone who doesn't understand what i'm complaining about. I just updated the javascript plugin, it shows as the latest version but firefox claims it's unsecure and wont let me enable it, i checked teh update box on another plaugin that is also disabled. and is up to date, the javascript plugin does NOT have an update link. so i don't know what YOUR asking me. the javascript plugin to play streaming videos IS NOT BUILT IN. And i want to know WHY mozilla found it necessary to disable the latest javacript plugin without offering a link to one they will let you use.

Modificato da cor-el il

more options

hulu.com, dubbedanime,animeseason, when i couldn't play hulu, i checked my my addons and plugins and found that they had updated my firefox and the update disabled my version of javascript, 8.0.65 which your link shows as up to date. but it is still disabled and i can't turn it on to view videos.

more options

Java and JavaScript are different programming languages. To avoid confusion, see:

I assume that this is about the Java plugin (8.0.65/66 is current), but that plugin isn't used to play media files. For media files either the Shockwave Flash plugin is used or the HTML5 media player (YouTube defaults to the latter).

Can you attach a screenshot that show what error message you get?


Your System Details List shows multiple Flash plugins.

  • Shockwave Flash 18.0 r0
  • Shockwave Flash 19.0 r0

You can find the installation path of all plugins on the about:plugins page.

You can check the Flash player installation folder for multiple Flash player plugins and remove older version(s) of the plugin (NPSWF32) and possibly (re)install the latest Flash player.

  • (32 bit Windows) C:\Windows\System32\Macromed\Flash\
  • (64 bit Windows) C:\Windows\SysWOW64\Macromed\Flash\

You can check for problems with current Shockwave Flash plugin versions and try this:

See also:

more options

timR said

i checked my my addons and plugins and found that they had updated my firefox and the update disabled my version of javascript, 8.0.65 which your link shows as up to date. but it is still disabled and i can't turn it on to view videos.

Most sites play videos using one of the following:

  • The Shockwave Flash plugin
  • The Silverlight plugin
  • Firefox's built-in HTML5 video player

Some sites use the Java plugin (Java(TM) Platform SE 8 U65) for games, but not for videos.

more options

Soluzione scelta

timR said

apparantly the first response was from someone who doesn't understand what i'm complaining about. I just updated the javascript plugin, it shows as the latest version but firefox claims it's unsecure and wont let me enable it, i checked teh update box on another plaugin that is also disabled. and is up to date, the javascript plugin does NOT have an update link. so i don't know what YOUR asking me. the javascript plugin to play streaming videos IS NOT BUILT IN. And i want to know WHY mozilla found it necessary to disable the latest javacript plugin without offering a link to one they will let you use.

Actually it was you confusing the difference between JavaScript which is built in Firefox and the separate Java plugin installed on system.

Modificato da James il